<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class order extends Model
{
    protected $fillable = [
        'order_id','empid','empname','email','mobile','product','size','qty','address1','address2','country','pcode','avatar'
    ];
    public static function boot()
    {
        parent::boot();

        static::creating(function ($order) {
            $order->order_id = $order->generateOrderId();
        });
    }

    private function generateOrderId()
    {
        $latestOrder = order::orderBy('id', 'desc')->first();
        $lastOrderid = $latestOrder ? intval(substr($latestOrder->order_id, 6)) : 0;
        $newOrderId = $lastOrderid + 1;
        return 'BLOR24' . str_pad($newOrderId, 4, '0', STR_PAD_LEFT);
    }

    public function orderProducts()
    {
        return $this->hasMany(order_product::class);
    }
}
