<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Wendor extends Model
{

    protected $fillable = [
        'v_id','cname','wname','email','mobile','gst','licence','address1','address2','country','pcode'
    ];

    public static function boot()
    {
        
        parent::boot();

        static::creating(function ($wendor) {
            $wendor->v_id = $wendor->generateWendorId();
        });
    }

    private function generateWendorId()
    {
        $lastWendor = self::orderBy('id', 'desc')->first();
        $lastWendorId = $lastWendor ? intval(substr($lastWendor->v_id, 6)) : 0;
        $newWendorId = $lastWendorId + 1;
        return 'WNDR24' . str_pad($newWendorId, 4, '0', STR_PAD_LEFT);
    }

    public function products()
    {
        return $this->hasMany(wendorproduct::class, 'v_id', 'v_id');
    }

    
}
