<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('quotations', function (Blueprint $table) {
            $table->id(); // Primary key
            $table->unsignedBigInteger('order_id'); // Foreign key for orders
            $table->string('product'); // Product identifier
            $table->string('ref'); // Reference field
            $table->string('wname'); // Vendor name
            $table->decimal('price', 10, 2); // Price, adjust precision if needed
            $table->timestamps(); // Created at and updated at timestamps

            // Foreign key constraints (if applicable)
            $table->foreign('order_id')->references('id')->on('orders')->onDelete('cascade');
            // If the product field refers to a unique identifier in another table, you can add a foreign key constraint here.
            // $table->foreign('product')->references('id')->on('order_products')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
