@extends("mainlayout")

@section("page-content")

<body class="index-page">
  <main class="main">

    <!-- Hero Section -->
    <section id="hero" class="hero section dark-background">
      <img src="assets/img/hero-bg-2.jpg" alt="" class="hero-bg">

      <div class="container text-center">

        @if (Session::has("success"))
        <div class="alert alert-success">
            {{Session::get("success")}}
        </div>
        @elseif (Session::has("error"))
        <div class="alert alert-danger">
            {{Session::get("error")}}
        </div>
        @endif

        <h1>Order Here</h1>

        <!-- Centered Form -->
        <div class="row justify-content-center">
          <div class="col-md-8">
            <form method="POST" action="{{route('save')}}" enctype="multipart/form-data">
                @csrf

                <div class="row">
                    <div class="col-md-6 py-3">
                        <label style="display: block; text-align: left;">Company Name<spam class="text-danger">*</spam></label>
                        <input type="text" name="empid" value="{{ old('empid') }}" class="form-control" />
                        @error("empid")
                            <small class="text-danger">{{ $message }}</small>
                        @enderror
                    </div>
                    <div class="col-md-6 py-3">
                        <label style="display: block; text-align: left;">Full Name<spam class="text-danger">*</spam></label>
                        <input type="text" name="empname" value="{{ old('empname') }}" class="form-control" />
                        @error("empname")
                            <small class="text-danger">{{ $message }}</small>
                        @enderror
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6 py-3">
                        <label style="display: block; text-align: left;">Email<spam class="text-danger">*</spam></label>
                        <input type="text" name="email" value="{{ old('email') }}" class="form-control" />
                        @error("email")
                            <small class="text-danger">{{ $message }}</small>
                        @enderror
                    </div>
                    <div class="col-md-6 py-3">
                        <label style="display: block; text-align: left;">Mobile<spam class="text-danger">*</spam></label>
                        <input type="text" name="mobile" value="{{ old('mobile') }}" class="form-control" />
                        @error("mobile")
                            <small class="text-danger">{{ $message }}</small>
                        @enderror
                    </div>
                </div>

                <div id="product-fields">
                    @foreach(old('product', ['']) as $index => $product)
                        <div class="row product-row">
                            <div class="col-md-6 py-3">
                                <label style="display: block; text-align: left;">Product {{ $loop->iteration }} </label>
                                <input type="text" name="product[]" value="{{ old('product.' . $index) }}" class="form-control" />
                                @error("product.$index")
                                    <small class="text-danger">{{ $message }}</small>
                                @enderror
                            </div>
                            <div class="col-md-3 py-3">
                                <label style="display: block; text-align: left;">Size<span class="text-danger">*</span></label>
                                <input type="text" name="size[]" value="{{ old('size.' . $index) }}" class="form-control" />
                                @error("size.$index")
                                    <small class="text-danger">{{ $message }}</small>
                                @enderror
                            </div>
                            <div class="col-md-1 py-3">
                                <label style="display: block; text-align: left;">Qty<span class="text-danger">*</span></label>
                                <input type="text" name="qty[]" value="{{ old('qty.' . $index) }}" class="form-control" />
                                @error("qty.$index")
                                    <small class="text-danger">{{ $message }}</small>
                                @enderror
                            </div>
                            <div class="col-md-2 py-3">
                                <label style="display: block; text-align: left;">Price<spam class="text-danger">*</spam> (&pound)</label>
                                <input type="text" name="address2" value="{{ old('address2') }}" class="form-control" />
                                @error("address2")
                                    <small class="text-danger">{{ $message }}</small>
                                @enderror
                            </div>

                            <div class="col-md-6 py-3">
                                <label style="display: block; text-align: left;">Upload Image</label>
                                <input type="file" name="avatar[]" class="form-control" />
                                @error("avatar.$index")
                                    <small class="text-danger">{{ $message }}</small>
                                @enderror
                            </div>
                
                            <div class="col-md-5 py-3">
                                <label style="display: block; text-align: left;">Message</label>
                                <input type="text" name="message[]" value="{{ old('message.' . $index) }}" class="form-control" />
                                @error("message.$index")
                                    <small class="text-danger">{{ $message }}</small>
                                @enderror
                            </div>
                
                            <div class="col-md-1 py-3 d-flex align-items-end">
                                <button type="button" class="btn btn-primary" onclick="addProductField()">+</button>
                                <button type="button" class="btn btn-danger" onclick="removeProductField(this)">-</button>
                            </div>
                        </div>
                    @endforeach
                </div>
                
                
                <div class="row">
                    <div class="col-md-3 py-3">
                        <label style="display: block; text-align: left;">Parity<spam class="text-danger">*</spam></label>
                        <select name="address1" class="form-control">
                            <option value=""> -- select List--</option>
                            <option {{old('address1') === "Low" ? "selected" : ''}} value="Low">Low</option>
                            <option {{old('address1') === "Medium" ? "selected" : ''}} value="Medium">Medium</option>
                            <option {{old('address1') === "High" ? "selected" : ''}} value="High">High</option>
                        </select>
                        @error("address1")
                            <small class="text-danger">{{ $message }}</small>
                        @enderror
                    </div>
                    <div class="col-md-3 py-3">
                        <label style="display: block; text-align: left;">No.Of Days<spam class="text-danger">*</spam></label>
                        <input type="text" name="country" value="{{ old('country') }}" class="form-control" />
                        @error("country")
                            <small class="text-danger">{{ $message }}</small>
                        @enderror
                    </div>
                    <div class="col-md-3 py-3">
                        <label style="display: block; text-align: left;">Postal Code<spam class="text-danger">*</spam></label>
                        <input type="text" name="pcode" value="{{ old('pcode') }}" class="form-control" />
                        @error("pcode")
                            <small class="text-danger">{{ $message }}</small>
                        @enderror
                    </div>
                </div>

                
                

                <div class="row">
                    <div class="col-md-12 py-3 text-center">
                        <input type="submit" name="submit" value="Place Order" class="btn btn-success" />
                    </div>
                    
                </div>
                

            </form>
          </div>
        </div>

      </div>

      <svg class="hero-waves" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 24 150 28" preserveAspectRatio="none">
        <defs>
          <path id="wave-path" d="M-160 44c30 0 58-18 88-18s 58 18 88 18 58-18 88-18 58 18 88 18 v44h-352z"></path>
        </defs>
        <g class="wave1">
          <use xlink:href="#wave-path" x="50" y="3"></use>
        </g>
        <g class="wave2">
          <use xlink:href="#wave-path" x="50" y="0"></use>
        </g>
        <g class="wave3">
          <use xlink:href="#wave-path" x="50" y="9"></use>
        </g>
      </svg>

    </section><!-- /Hero Section -->

  </main>
</body>

<script>
function addProductField() {
    // Get the container of product fields
    var productFieldsContainer = document.getElementById('product-fields');
    
    // Check if the number of product rows is less than 5
    var currentRowCount = productFieldsContainer.querySelectorAll('.product-row').length;
    if (currentRowCount < 5) {
        // Clone the last product row
        var lastProductRow = productFieldsContainer.querySelector('.product-row:last-child');
        var newProductRow = lastProductRow.cloneNode(true);
        
        // Reset the input values in the cloned row
        var inputs = newProductRow.querySelectorAll('input');
        inputs.forEach(input => input.value = '');
        
        // Append the new row to the product fields container
        productFieldsContainer.appendChild(newProductRow);
        
        // Update product labels
        updateProductLabels();
        
        // Manage "+" and "-" buttons visibility
        updateButtonsVisibility();
    } else {
        alert('You can only add up to 5 products.');
    }
}

function removeProductField(button) {
    var productFieldsContainer = document.getElementById('product-fields');
    if (productFieldsContainer.querySelectorAll('.product-row').length > 1) {
        button.closest('.product-row').remove();
        updateProductLabels(); // Update product labels after removing a row
        updateButtonsVisibility();
    }
}

function updateButtonsVisibility() {
    var productRows = document.querySelectorAll('.product-row');
    productRows.forEach((row, index) => {
        var addButton = row.querySelector('.btn-primary');
        var removeButton = row.querySelector('.btn-danger');
        addButton.style.display = (index === productRows.length - 1) ? 'inline-block' : 'none';
        removeButton.style.display = (productRows.length > 1) ? 'inline-block' : 'none';
    });
}

function updateProductLabels() {
    var productRows = document.querySelectorAll('.product-row');
    productRows.forEach((row, index) => {
        var label = row.querySelector('label');
        label.textContent = 'Product ' + (index + 1) + ' *';
    });
}

// Initial call to set the correct button visibility and labels
updateButtonsVisibility();
updateProductLabels();

</script>

{{-- <script>
    $(document).ready(function() {
        $('.btn-success').click(function() {
            $(this).prop('disabled', true);
            $(this).text('Processing...'); 
        });
    });
    </script> --}}


    
@endsection
