@extends("osadmin.adminmainlayout")

@section("content")
<html>
    <body>
        <div class="container-fluid">
            <div class="d-flex justify-content-between align-items-center">
                <div class="container-fluid">

                    @if (Session::has("success"))
                    <div class="alert alert-success">
                        {{Session::get("success")}}
                    </div>
                    @endif

                    <h2 class="text-center mt-4"><u>Order Details</u></h2>  

                    <a href="{{route('view.orders')}}" style="margin-left: 1180px"><--Go Back</a>

                    <div class="row px-4">
                        <div class="col-md-12">
                            <div class="card p-3">
                                <div class="row">
                                    <div class="col-md-6">
                                        <h4 class="mb-3">Order Id : <span class="orderid">{{$od->order_id}}</span></h4>
                                        <table>
                                            <tr>
                                                <th>Emp Id<spam style="margin-left: 22px">: {{$od->empid}}</spam></th>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <th>Name<spam style="margin-left: 30px">: {{$od->empname}}</spam></th>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <th>Email<spam style="margin-left: 35px">: {{$od->email}}</spam></th>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <th>Mobile<spam style="margin-left: 22px">: {{$od->mobile}}</spam></th>
                                                <td></td>
                                            </tr>
                                        </table>
                                    </div>

                                    <div class="col-md-6">
                                        <h4>Parity : <span class="{{ $od->address1 == 'Low' ? 'low-parity' : ($od->address1 == 'Medium' ? 'medium-parity' : ($od->address1 == 'High' ? 'high-parity' : '')) }}">
                                             {{ ucfirst($od->address1) }} </span>
                                        </h4>
                                        
                                        
                                        <table>
                                            <tr>
                                                <th>Expected Price<spam style="margin-left: 1px"> : &pound {{$od->address2}}</spam></th>
                                                <td></td>
                                            </tr>
                                            
                                            <tr>
                                                <th>No.Of Days<spam style="margin-left: 25px"> : {{$od->country}}</spam></th>
                                                <td></td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    @if($od->orderProducts->isNotEmpty())
                @foreach($od->orderProducts as $index => $product)
                <h4 class="mb-2 px-4">Product {{$index + 1}}</h4>
                    <div class="row px-4">
                        <div class="col-md-12">
                            <div class="card p-3">
                                <table class="table">
                                    <thead class="thead-light">
                                        <tr>
                                            <th style="width: 25%;">Product</th>
                                            <th style="width: 15%;">Size</th>
                                            <th style="width: 10%;">Qty</th>
                                            <th style="width: 15%;">Image</th>
                                            <th style="width: 15%;">Message</th>
                                            <th style="width: 10%;">Status</th>
                                            <th style="width: 10%;">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td style="word-wrap: break-word; max-width: 0;">{{ $product->product }}</td>
                                            <td>{{ $product->size }}</td>
                                            <td>{{ $product->qty }}</td>
                                            <td>
                                                <img src="{{ url('assets/orders/'.$product->avatar) }}"  class="img-fluid" height="80px" width="70px">
                                            </td>
                                            <td>{{$product->message}}</td>
                                            <td>{{ $od->status }}</td>
                                            <td>
                                                <button type="button" id="addButton-{{ $index }}" class="btn btn-primary btn-sm" onclick="toggleForm({{ $index }})">Add</button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>

                                <!-- Hidden form to add details -->
                                <div id="productForm-{{ $index }}" class="product-form" style="display: none;">
                                    <div class="d-flex justify-content-between">
                                        <h5>Add Your Quotation</h5>
                                        <button type="button" class="btn btn-danger btn-sm" onclick="toggleForm({{ $index }})">X</button>
                                    </div>
                                    <form action="{{route('save.q')}}" method="POST">
                                        @csrf
                                        <input type="hidden" name="order_id" value="{{ $od->order_id }}">
                                        <input type="hidden" name="product_id" value="{{ $product->id }}">
                                        
                                        <div class="row">
                                        <div class="col-md-6">
                                            <label for="ref">Reference</label>
                                            <input type="text" name="ref" class="form-control" required>
                                        </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                            <label for="wname">Wendor Name</label>
                                            <select class="form-control" name="wname">
                                                <option value="">-- Select Wendor --</option>
                                                @foreach ($wn as $w)
                                                <option vlaue="{{$w->wname}}"> {{$w->wname}} </option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="col-md-6">
                                        <label for="product">Product</label>
                                        <select class="form-control" name="product">
                                            <option vlaue="">-- Select Product --</option>
                                            @foreach ($wn as $w)
                                            @foreach ($w->products as $pro)
                                            <option vlaue="{{$pro->product}}"> {{$pro->product}} </option>
                                           @endforeach
                                           @endforeach
                                        </select>
                                        </div>

                                        <div class="text-center">
                                        <button type="submit" class="btn btn-success btn-sm mt-3">Add</button>
                                        </div>
                                    </form>
                                </div>

                            </div>
                        </div>
                    </div>
                @endforeach
            @else
                <p>No products found for this order.</p>
            @endif

        </div>
    </div>
</div>
@endsection

<script>
    function toggleForm(index) {
        const form = document.getElementById(`productForm-${index}`);
        const addButton = document.getElementById(`addButton-${index}`);

        if (form.style.display === "none" || form.style.display === "") {
            form.style.display = "block";
            addButton.style.display = "none";
        } else {
            form.style.display = "none";
            addButton.style.display = "inline-block";
        }
    }
</script>

<style>
    .low-parity {
    background-color: yellow;
    border-radius: 5px;
}

.medium-parity {
    background-color: orange;
    border-radius: 5px;
}

.high-parity {
    background-color: red;
    border-radius: 5px;
}
.orderid{
    background-color: #00FFFF;
    border-radius: 5px;
}

    </style>