@extends("osadmin.adminmainlayout")

@section("content")
<div class="container-fluid">
    <div class="d-flex justify-content-between align-items-center">
        <div class="container-fluid">
            @if (Session::has("success"))
                <div class="alert alert-success">
                    {{ Session::get("success") }}
                </div>
            @endif

            <h2 class="text-center mt-4"><u>Order Details</u></h2>

            <div class="row px-4">
                <div class="col-md-12">
                    <div class="card p-3">
                        <div class="row">
                            <div class="col-md-6">
                                <h4 class="mb-3">Order Id: {{$od->order_id}}</h4>
                                <table class="table">
                                    <tr>
                                        <th>Emp Id:</th>
                                        <td>{{$od->empid}}</td>
                                    </tr>
                                    <tr>
                                        <th>Name:</th>
                                        <td>{{$od->empname}}</td>
                                    </tr>
                                    <tr>
                                        <th>Email:</th>
                                        <td>{{$od->email}}</td>
                                    </tr>
                                    <tr>
                                        <th>Mobile:</th>
                                        <td>{{$od->mobile}}</td>
                                    </tr>
                                </table>
                            </div>

                            <div class="col-md-6">
                                <h5>Address:</h5>
                                <table class="table">
                                    <tr><td>{{$od->address1}}</td></tr>
                                    <tr><td>{{$od->address2}}</td></tr>
                                    <tr><td>{{$od->country}} - {{$od->pcode}}</td></tr>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            @if($od->orderProducts->isNotEmpty())
                @foreach($od->orderProducts as $index => $product)
                <h4 class="mb-2 px-4">Product {{$index + 1}}</h4>
                    <div class="row px-4">
                        <div class="col-md-12">
                            <div class="card p-3">
                                <table class="table table-bordered">
                                    <thead class="thead-light">
                                        <tr>
                                            <th style="width: 25%;">Product</th>
                                            <th style="width: 15%;">Size</th>
                                            <th style="width: 10%;">Qty</th>
                                            <th style="width: 15%;">Image</th>
                                            <th style="width: 25%;">Status</th>
                                            <th style="width: 10%;">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td style="word-wrap: break-word; max-width: 0;">{{ $product->product }}</td>
                                            <td>{{ $product->size }}</td>
                                            <td>{{ $product->qty }}</td>
                                            <td>
                                                <img src="{{ url('assets/orders/'.$product->avatar) }}" alt="Product Image" class="img-fluid" style="max-height: 70px; max-width: 60px;">
                                            </td>
                                            <td>{{ $product->status }}</td>
                                            <td>
                                                <a href="#" class="btn btn-primary btn-sm">Add</a>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                @endforeach
            @else
                <p>No products found for this order.</p>
            @endif

        </div>
    </div>
</div>
@endsection




{{-- View orders Blade --}}

@extends("osadmin.adminmainlayout")

@section("content")
<html>
    <body>
        <div class="container-fluid">
            <div class="d-flex justify-content-between align-items-center">
                <h1 class="mt-4">View Orders</h1>  
            </div>
            <hr/>
        </div>

        @if (Session::has("success"))
            <div class="alert alert-success">
                {{Session::get("success")}}
            </div>
        @endif
        
        <div class="row px-4">
            <div class="col-md-12">
                <div class="card p-3">
                    @if($ord->isNotEmpty()) 
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Order Id</th>
                                    <th>Emp Id</th>
                                    <th>Name</th>
                                    <th>Mobile</th>
                                    <th>Product</th>
                                    <th></th>
                                    <th>Size</th>
                                    <th>Qty</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($ord as $vr)
                                    <tr>
                                        <td>{{$vr->order_id}}</td> <!-- Order ID -->
                                        <td>{{$vr->empid}}</td>
                                        <td>{{$vr->empname}}</td>
                                        <td>{{$vr->mobile}}</td>
                                        <td colspan="4">
                                            <table class="table table-borderless mb-0">
                                                @foreach($vr->orderProducts as $product)
                                                    <tr>
                                                        <td>{{$product->product}}</td>
                                                        <td>{{$product->size}}</td>
                                                        <td>{{$product->qty}}</td>
                                                    </tr>
                                                @endforeach
                                            </table>
                                        </td>
                                        <td></td>
                                        <td>
                                            <a href="">Edit</a> 
                                            <a href="{{route('order.details',$vr->id)}}" class="px-2">View</a>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        {{$ord->links()}} 
                    @else
                        <p>No orders found.</p>
                    @endif
                </div>
            </div>
        </div>
    </body>
</html>
@endsection
